\documentclass[10pt]{article}
\usepackage[usenames]{color} %used for font color
\usepackage{amssymb} %maths
\usepackage{amsmath} %maths
\usepackage[utf8]{inputenc} %useful to type directly diacritic characters
\begin{document}
\begin{align*} 
y(t) &= \text{AMP} \times \sin{(\omega_c t)} + \text{AMP} \times I_m \left( \frac{\cos{(\omega_c t - \omega_m t)}}{2} - \frac{\cos{(\omega_c t + \omega_m t)}}{2} \right)
\\
y(t) &= \text{AMP} \times \sin{(\omega_c t)} + \text{AMP} \times I_m \left( \frac{\cos{(\omega_c t - \omega_m t)}}{2} \right) + \text{AMP} \times I_m \left( \frac{-\cos{(\omega_c t + \omega_m t)}}{2} \right)
\\
y(t) &= \text{AMP} \times \sin{(\omega_c t)} + \text{AMP} \times \frac{I_m}{2} \cos{(\omega_c t - \omega_m t)} + \text{AMP} \times \frac{I_m}{2} \left( -\cos{(\omega_c t + \omega_m t)} \right)
\end{align*}


\end{document}